Questão Sem fio não funciona no Dell Latitude D430 [fechado]


Eu instalei recentemente a versão 12.04 LTS em um Dell Latitude D430. Eu tentei conseguir o placa sem fio (que parece usar o chip Broadcom Corporation BCM4312) para trabalhar nos últimos 3 dias e não obtive êxito. Eu instalei todas as atualizações recentes. Por algum motivo, o sistema operacional não está reconhecendo o driver da placa sem fio.


1
2018-05-28 22:17


origem


Duplicação possível de Instalação de drivers Broadcom Wireless - Elder Geek


Respostas:


Tente isto para um para o seu D430

sudo apt-get update
sudo apt-get install firmware-b43-installer
sudo apt-get remove bcmwl-kernel-source
sudo reboot

4
2018-05-28 22:36



Scott, muito obrigado pela sua ajuda, funcionou. Muito apreciado. - Dan


Por favor tente isto:

sudo apt-get install linux-firmware-nonfree
sudo modprobe -r b43
sudo modprobe b43
sudo su
echo b43 >> /etc/modules
exit

0
2017-08-28 12:18



Como isso resolverá o problema do OP? - Braiam
como por fio abaixo, funcionou para mim e para os outros também ... ubuntuforums.org/showthread.php?t=1975503&page=2 - affukhan


Mesmo depois de todo o tempo decorrido desde que você escreveu sua pergunta, eu decidi responder para ajudar outras pessoas que poderiam ter a mesma dificuldade com a placa wireless não sendo reconhecida.

Eu tenho um laptop Dell Latitude D830 com Dell Wireless 1390 WLAN Minicard (chipset Broadcom BCM 4311 802.11 b / g) e fiz o seguinte, semelhante à sugestão de Scott Goodgame, para resolver o meu problema:

sudo apt-get update
sudo apt-get remove bcmwl-kernel-source
sudo apt-get install firmware-b43-installer
sudo apt-get install linux-firmware-nonfree    
sudo reboot

Uma maneira alternativa de fazer isso é usando 'Synaptic', descrito por mim com mais detalhes em:

https://askubuntu.com/a/428695/254056

O driver da Broadcom, 'bcmwl-kernel-source', que é instalado automaticamente pelo Ubuntu, está envolvido em alguns bugs com o kernel. Foram relatados problemas com muitos modelos de dispositivos, versões do Ubuntu e versões do kernel. Mais informações sobre este assunto podem ser encontradas no link abaixo:

https://askubuntu.com/a/428702/254056

Felicidades!!


0
2018-03-03 05:49



Resposta update: aparentemente, pelo menos com o Ubuntu 14.04, não é necessário instalar o pacote 'linux-firmware-nonfree'. Remover completamente o 'bcmwl-kernel-source' e instalar o 'b43-fwcutter' e depende do 'firmware-b43-installer' é suficiente para resolver o problema. - Felipe G. M. Maia